=== plugins/roard/Makefile ===
include ../../Makefile.conf
include ../../Makefile.inc

TARGETS_PROTO=protocol-irc$(SHARED_SUFFIX) protocol-esound$(SHARED_SUFFIX) protocol-rplay$(SHARED_SUFFIX) protocol-gopher$(SHARED_SUFFIX)
TARGETS_DMX=dmx-random$(SHARED_SUFFIX) dmx-waveform$(SHARED_SUFFIX)
TARGETS_SERVICE=service-client$(SHARED_SUFFIX)
TARGETS_MISC=listenpty$(SHARED_SUFFIX)
TARGETS=$(TARGETS_PROTO) $(TARGETS_SERVICE) $(TARGETS_DMX) $(TARGETS_MISC)

#DEFINES        = -DDEBUG
INCLUDE = -I../../include -I../..
CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(SHARED) -L../../lib $(LDPATH)
LIBS    = $(LIBROAR)

all: ${TARGETS}
clean:
	rm -f ${TARGETS} *.o
new: clean all

install: all
	cp $(cp_v) ${TARGETS} '$(DESTDIR)$(PREFIX_PLUGINS)/$(DEV_VENDOR)-$(DEV_VENDOR_NAME)/roard/$(DEV_VENDOR)-$(DEV_VENDOR_NAME)/'
semi-install: all
	sh -c 'set -e; for file in *$(SHARED_SUFFIX); do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_PLUGINS)/$(DEV_VENDOR)-$(DEV_VENDOR_NAME)/roard/$(DEV_VENDOR)-$(DEV_VENDOR_NAME)/'; done'

%$(SHARED_SUFFIX): %.o
	$(CC) $(LDFLAGS) -o $@ $+ $(LIBS)
