=== plugins/universal/Makefile ===
include ../../Makefile.conf
include ../../Makefile.inc

TARGETS_PROTO=protocol-echo$(SHARED_SUFFIX) protocol-daytime$(SHARED_SUFFIX) protocol-discard$(SHARED_SUFFIX) tic-tac-toe$(SHARED_SUFFIX) protocol-http$(SHARED_SUFFIX)
TARGETS_MISC=plugin-info$(SHARED_SUFFIX) helloworld$(SHARED_SUFFIX) debug-notify$(SHARED_SUFFIX)
TARGETS_SERVICE=service-about$(SHARED_SUFFIX)
TARGETS=$(TARGETS_MISC) $(TARGETS_PROTO) $(TARGETS_SERVICE)

#DEFINES        = -DDEBUG
DEFINES+= -DROAR_DBG_PREFIX=\"'$(shell basename $+ .c)'\"
INCLUDE = -I../../include -I../..
CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(SHARED) -L../../lib $(LDPATH)
LIBS    = $(LIBROAR)

all: ${TARGETS}
clean:
	rm -f ${TARGETS} *.o
new: clean all

install: all
	cp $(cp_v) ${TARGETS} '$(DESTDIR)$(PREFIX_PLUGINS)/universal/universal/$(DEV_VENDOR)-$(DEV_VENDOR_NAME)/'
semi-install: all
	sh -c 'set -e; for file in *$(SHARED_SUFFIX); do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_PLUGINS)/universal/universal/$(DEV_VENDOR)-$(DEV_VENDOR_NAME)/'; done'

%$(SHARED_SUFFIX): %.o
	$(CC) $(LDFLAGS) -o $@ $+ $(LIBS)

protocol-http$(SHARED_SUFFIX): protocol-http.o
	$(CC) $(LDFLAGS) -o $@ $+ $(LIBS) $(lib_uste)
