=== debian/changelog ===
roaraudio (1.0~beta9-2) unstable; urgency=low

  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 05 May 2013 20:38:20 +0200

roaraudio (1.0~beta9-1) experimental; urgency=low

  [ Patrick Matthäi ]
  * New upstream release.
    - Drop merged patch 02-hyphen-used-as-minus-sign.
    - Add patch 01-hyphen-used-as-minus-sign to fix an new fault in
      roar-config.1.
  * Drop patch 01-configure-shebangs and make files in roaraudio/build-system/
    not executable again.
  * Migrate package to minimal debhelper rules and bump compat level to 9.

  [ Philipp Schafft ]
  * New upstream release.
    - Cleanup of rules.
    - Dropped patch 01-hyphen-used-as-minus-sign as it got merged into upstream.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 19 Feb 2013 09:46:55 +0100

roaraudio (1.0~beta8-1) experimental; urgency=low

  * New upstream release.
    - Drop merged patch 02-man-spelling-error.
    - Add patch 02-hyphen-used-as-minus-sign to fix lintian warnings.
  * Overwrite false positive lintian warnings in the roaraudio package about
    hardening-no-fortify-functions.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 10 Dec 2012 14:17:01 +0100

roaraudio (1.0~beta7-1) experimental; urgency=low

  * New upstream release.
    - Export build-system.
    - Make configure scripts executable.
    - Add patch 01-configure-shebangs to set the shebang from the new configure
      scripts of the build system to /bin/sh from /bin/false.
    - Add patch 02-man-spelling-error to fix an spelling error in the
      roarpluginrunner manpage.
    - The .cvsignore file is not installed anymore, remove the hack.
  * Correctly set CFLAGS and install missing roarpluginrunner and
    roarpluginaplication binaries.
    Closes: #691217

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 11 Nov 2012 15:34:28 +0100

roaraudio (1.0~beta6-1) experimental; urgency=low

  * New upstream release.
    - Remove .cvsignore from /usr/include/roaraudio.
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to xz compression and add a Pre-Depends on dpkg.
  * Wrap all debian/control fields.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 25 Sep 2012 09:55:58 +0200

roaraudio (1.0~beta6~pr0-1) experimental; urgency=low

  * New upstream pre-release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 18 Sep 2012 09:59:38 +0200

roaraudio (1.0~beta5-1) experimental; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 22 Aug 2012 18:05:30 +0200

roaraudio (1.0~beta4-1) experimental; urgency=low

  * New upstream release.
    - Drop merged patch 01-uuid.
    - Drop merged patch 02-use-execed.
    - Drop merged patch 03-client-name-buffer-overflow.
  * Merge 1.0~beta2-3 changelog.
  * Use wildcards to install the roar plugins.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 10 Aug 2012 15:13:59 +0200
