=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1

DEB_VERSION := $(shell dpkg-parsechangelog|egrep '^Version:'|cut -f 2 -d ' ')
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_CONFIGURE_EXTRA_FLAGS := \
	--cflags "$(CFLAGS)" \
	--prefix /usr \
	--prefix-lib /usr/lib/$(DEB_HOST_MULTIARCH) \
	--without-xmms \
	--without-audacious \
	--without-beta \
	--runtime-detect \
	--link-deps indirect \
	--without-memory-api \
	--oss-dev /dev/dsp \
	--oss-mixer-dev /dev/mixer \
	--proc-net-decnet-neigh /proc/net/decnet_neigh \
	--proc-net-arp /proc/net/arp \
	--no-ipx \
	--no-yiff \
	--no-celt \
	--no-celt0 \
	--distribution-version-string "Debian-$(DEB_VERSION)"

%:
	dh $@

override_dh_auto_configure:
	./configure $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_auto_clean:
	dh_clean
	[ ! -f Makefile.conf ] || $(MAKE) -i distclean
	rm -f debian/roaraudio.init
	rm -f debian/roaraudio.default

override_dh_install:
	cp dist/debian-like/roaraudio debian/roaraudio.init
	cp dist/debian-like/defaults debian/roaraudio.default
	cp dist/debian-like/sndio.h debian/tmp/usr/include/
	dh_install

override_dh_link:
	dh_link
	dh_link -plibroar-compat2 \
		"usr/lib/$(DEB_HOST_MULTIARCH)/libroarsndio.so.2" \
		"usr/lib/$(DEB_HOST_MULTIARCH)/libsndio.so.2"
	dh_link -plibroar-dev \
		"usr/lib/$(DEB_HOST_MULTIARCH)/libsndio.so.2" \
		"usr/lib/$(DEB_HOST_MULTIARCH)/libsndio.so"

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_strip:
	dh_strip --dbg-package=roaraudio-dbg
