## roaraudio 1.0~beta11

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 COMP_LIB=$(subdir_libroaresd) $(subdir_libroarsndio) $(subdir_libroaryiff) $(subdir_libroarpulse) $(subdir_libroararts) $(subdir_libroaross) $(subdir_libroarrsound)
 
-SUBDIRS=$(comp_libs) $(COMP_LIB) $(comp_comp_bins) $(subdir_roarfish) $(comp_clients) $(comp_roard) $(comp_doc)
+SUBDIRS=$(comp_libs) $(COMP_LIB) $(comp_comp_bins) $(comp_clients) $(comp_roard) $(comp_doc)
 
 PLUGINS=$(subdir_plugins_ao) $(subdir_plugins_xmms) $(subdir_plugins_audacious) $(subdir_plugins_roard) $(subdir_plugins_universal)
