=== plugins/alsavs/Makefile ===
BASENAME0=libasound_module_pcm_roar
BASENAME1=libasound_module_ctl_roar
SLIB0=$(BASENAME0)$(SHARED_SUFFIX)
SLIB1=$(BASENAME1)$(SHARED_SUFFIX)
TARGET=$(SLIB0) $(SLIB1)
INSTALL_DIR=$(PREFIX_LIB)/alsa-lib/
OBJS0=pcm_roar.o roar.o
OBJS1=ctl_roar.o roar.o

include ../../Makefile.conf
include ../../Makefile.inc
#include Makefile.conf

#DEBUG=-DDEBUG -DXXX
DEFINES=-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"alsa-plugins\" -DVERSION=\"1.0.13\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DSTDC_HEADERS=1 -DHAVE_LIBASOUND=1 -D_REENTRANT -DPIC
CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) -I../../include $(DEFINES) $(DEBUG) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) -I/usr/include/alsa -D_GNU_SOURCE $(pthread)
LDFLAGS+= $(DEBUG_g) $(Wall) $(SHARED) $(LDPATH) -L../../lib $(pthread)
LIBS    = $(LIBROAR) $(lib_m) $(lib_dl) -lrt $(lib_asound)

all: ${TARGET}
clean:
	rm -f ${TARGET} *.o tests tests.c
new: clean all

install: ${TARGET}
	mkdir -p ${DESTDIR}${INSTALL_DIR}
	cp ${TARGET} ${DESTDIR}${INSTALL_DIR}
semi-install: ${TARGET}
	mkdir -p ${DESTDIR}${INSTALL_DIR}
	ln -fs `pwd`/$(SLIB0) ${DESTDIR}${INSTALL_DIR}
	ln -fs `pwd`/$(SLIB1) ${DESTDIR}${INSTALL_DIR}

$(SLIB0): $(OBJS0)
	$(CC) $(LDFLAGS) -Wl,-soname -Wl,$(SLIB0) -o $(SLIB0) $(OBJS0) $(LIBS)
$(SLIB1): $(OBJS1)
	$(CC) $(LDFLAGS) -Wl,-soname -Wl,$(SLIB1) -o $(SLIB1) $(OBJS1) $(LIBS)
