=== plugins/roard/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 include ../../Makefile.inc
 
 TARGETS_PROTO=protocol-irc$(SHARED_SUFFIX) protocol-esound$(SHARED_SUFFIX) protocol-rplay$(SHARED_SUFFIX) protocol-gopher$(SHARED_SUFFIX)
-TARGETS_DMX=dmx-random$(SHARED_SUFFIX) dmx-waveform$(SHARED_SUFFIX)
+TARGETS_DMX=dmx-random$(SHARED_SUFFIX) dmx-waveform$(SHARED_SUFFIX) dmx-strobe$(SHARED_SUFFIX)
 TARGETS_SERVICE=service-client$(SHARED_SUFFIX)
 TARGETS_MISC=listenpty$(SHARED_SUFFIX)
 TARGETS=$(TARGETS_PROTO) $(TARGETS_SERVICE) $(TARGETS_DMX) $(TARGETS_MISC)
