=== debian/changelog ===
roaraudio (1.0~beta11-7) unstable; urgency=medium

  * Explicit disable slp support.
  * Add patch 05-more-more-spelling-errors.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 03 Mar 2016 10:44:25 +0100

roaraudio (1.0~beta11-6) unstable; urgency=high

  * Bump Standards-Version to 3.9.7 (no changes required).
  * Enable full hardening.
  * Drop libslp-dev build dependency.
    Closes: #815365
  * Add patch 04-more-spelling-errors to fix a bunch of spelling errors.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 25 Feb 2016 11:00:20 +0100

roaraudio (1.0~beta11-5) unstable; urgency=high

  * Remove libsndio symlink.
    Closes: #797233
  * Add patch 03-manpage-spelling-errors which fixes some spelling errors.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 12 Sep 2015 11:18:45 +0200

roaraudio (1.0~beta11-4) unstable; urgency=medium

  * Do not install sndio.h.
    Closes: #797233
  * Add patch 02-manpage-spelling-errors which fixes a few spelling errors in
    the manpages.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 02 Sep 2015 19:31:18 +0200

roaraudio (1.0~beta11-3) unstable; urgency=medium

  * Split out roarify from package libroar-compat2 to the new package
    libroar-compat-tools to allow make libroar-compat2 multi arch aware.
    Closes: #755846
  * Multi arch the roaraudio-dbg package.
  * libroar-compat2 provides libsndio2 not libsndio1.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 29 Jul 2015 18:23:31 +0200

roaraudio (1.0~beta11-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6 (no changes needed).
  * Drop dnet support, since the package will get removed.
    Closes: #755934
  * Drop deprecated hardening-wrapper.
  * Update to DEP5 debian/copyright format.
  * Add GPG signature check for uscan.
  * Remove some hardening-no-fortify-functions lintian overrides.
  * Add Multi-Arch fields.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 27 Jul 2015 19:15:25 +0200

roaraudio (1.0~beta11-1) unstable; urgency=low

  * New upstream release.
    - Closes Mayhem reports.
      Closes: #716264, #716251, #716245, #716240
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * Don't explicitly request xz compression - dpkg 1.17 does this by default.
  * Removed roarcatvio, it is marked as obsoleted.
    Closes: #716263

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 24 Jan 2014 15:09:33 +0100

roaraudio (1.0~beta10-1) unstable; urgency=low

  * New upstream release.
  * Fix lintian error pkg-config-multi-arch-wrong-dir.
  * Add patch 01-source-init-functions to fix lintian warning
    init.d-script-does-not-source-init-functions.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 15 Oct 2013 13:46:25 +0200
