=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Build-Depends: debhelper (>= 9),
- hardening-wrapper,
  bash-completion,
  libz-dev,
  libfishsound1-dev,
@@ -11,7 +10,6 @@
  libshout3-dev,
  libsndfile1-dev,
  liboggz2-dev,
- libslp-dev,
  libesd0-dev,
  libspeexdsp-dev,
  libao-dev,
@@ -19,14 +17,14 @@
  libflac-dev,
  libpulse-dev,
  libasound2-dev [linux-any],
- portaudio19-dev,
- libdnet-dev [linux-any]
-Standards-Version: 3.9.4
+ portaudio19-dev
+Standards-Version: 3.9.7
 Section: libs
 Homepage: http://roaraudio.keep-cool.org/
 
 Package: libroar2
 Architecture: any
+Multi-Arch: same
 Suggests: libroar-plugins-universal (= ${binary:Version}),
  roaraudio-server,
  bzip2,
@@ -36,8 +34,7 @@
  libmuroar0,
  slpd,
  socat
-Pre-Depends: ${misc:Pre-Depends},
- dpkg (>= 1.15.6~)
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Conflicts: libroar0
@@ -71,15 +68,13 @@
 Section: libdevel
 Architecture: any
 Provides: libsndio-dev
-Pre-Depends: ${misc:Pre-Depends},
- dpkg (>= 1.15.6~)
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  libroar2 (= ${binary:Version}),
  libroar-compat2 (= ${binary:Version}),
  libslp-dev,
- libx11-dev,
- libdnet-dev [linux-any]
+ libx11-dev
 Recommends: roarclients
 Suggests: ckport,
  libmuroar-dev
@@ -113,15 +108,15 @@
 Package: roaraudio-dbg
 Section: debug
 Architecture: any
+Multi-Arch: same
 Priority: extra
-Pre-Depends: ${misc:Pre-Depends},
- dpkg (>= 1.15.6~)
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
  libroar2 (= ${binary:Version}),
- roaraudio (= ${binary:Version}),
- roarclients (= ${binary:Version}),
  libroar-compat2 (= ${binary:Version}),
  libroar-plugins-universal (= ${binary:Version})
+Recommends: roaraudio (= ${binary:Version}),
+ roarclients (= ${binary:Version})
 Description: RoarAudio sound server for audio mixing (debugging symbols)
  RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
  different clients before sending it to its outputs (for example a soundcard).
@@ -154,11 +149,11 @@
 Architecture: any
 Provides: roaraudio-server,
  rsound-server
-Pre-Depends: ${misc:Pre-Depends},
- dpkg (>= 1.15.6~)
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  libroar2 (= ${binary:Version}),
  libroar-compat2 (= ${binary:Version}),
+ libroar-compat-tools (= ${binary:Version}),
  roarclients (= ${binary:Version}),
  ${misc:Depends}
 Recommends: oss-compat [!hurd-i386],
@@ -181,8 +176,7 @@
  roaraudio (<< 1.0~beta1-1)
 Replaces: roaraudio-extra (<< 0.4~beta2~pr0-1),
  roaraudio (<< 1.0~beta1-1)
-Pre-Depends: ${misc:Pre-Depends},
- dpkg (>= 1.15.6~)
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Recommends: libroar-compat2 (= ${binary:Version}),
@@ -197,9 +191,9 @@
 
 Package: libroar-compat2
 Architecture: any
-Provides: libsndio1
-Pre-Depends: ${misc:Pre-Depends},
- dpkg (>= 1.15.6~)
+Multi-Arch: same
+Provides: libsndio2
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Breaks: roaraudio (<< 0.3~beta7-pr2-1)
@@ -212,11 +206,26 @@
  or YIFF API running, you can install this package and replace the appropriate
  libraries.
 
+Package: libroar-compat-tools
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ libroar-compat2 (= ${binary:Version})
+Breaks: libroar-compat2 (<= 1.0~beta11-2),
+Replaces: libroar-compat2 (<= 1.0~beta11-2),
+Description: drop-in replacements for other sound libraries (tools package)
+ To get programs which use the EsounD (ESD), OpenBSD sndio, PulseAudio
+ or YIFF API running, you can install this package and replace the appropriate
+ libraries.
+ .
+ This package contains the required tools for the libroar-compat package.
+
 Package: libroar-plugins-universal
 Section: sound
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends},
- dpkg (>= 1.15.6~)
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Enhances: roarclients,
